#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main()
{
	int t, RWer; 
	double RV; 
	
	srand((unsigned int)time(NULL)); 
	
	RWer = 0; // ランダムウォーカーの初期位置
	
	// 100回移動させる
	for (t = 0; t < 100; t++)
	{
		RV = (double)rand() / (double)(RAND_MAX + 1); 
		
		// ランダムウォーカーの移動
		if (RWer == 0)
		{
			if (RV < 0.5)  RWer = RWer; // その場に留まる
			else           RWer++; // 右に移動
		}
		else
		{
			if (RV < 0.5)  RWer--; // 左に移動
			else           RWer++; // 右に移動
		}
	}
	
	printf("100回移動した後のランダムウォーカーの位置 = %d", RWer); 

	return 0; 
}
